require 'rails_helper'

describe 'Compression', type: :request do
  let!(:superadmin) {create(:user, auth_roles: ['superadministrateur'])}

  scenario 'a visitor has a browser that supports compression' do

    [
      'deflate',
      'gzip',
      'deflate,gzip',
      'gzip,deflate'
    ].each do |compression_method|
      get '/api/dmo/housing_offers', {}, { 'HTTP_ACCEPT_ENCODING' => compression_method, 'X-auth-user-token' => superadmin.authentication_token }
      expect(response.headers['Content-Encoding']).not_to be_nil
    end
  end

  scenario "a visitor's browser does not support compression" do
    get '/api/dmo/housing_offers', {}, { 'X-auth-user-token' => superadmin.authentication_token }
    expect(response.headers['Content-Encoding']).to be_nil
  end
end